読者です 読者をやめる 読者になる 読者になる

そこに仁義はあるのか(仮)

略してそこ仁!

MacBookAir買ったけど、Intellij IDEAいれたらJava1.6いれてくださいっていわれてつらかった

IntelliJ IDEA

ので、設定ファイルをかえて、Java8いれてるMBAで動くようにした。

設定ファイルの場所。
ちなみに、AndroidStudioも同じところに設定ファイルがある。
Terminal使ってファイルをいじれっていうのは今回なしです!!

まずは、FinderでApplicationを開く
そして、Intellij IDEAのコンテキストメニューを開いて、
「パッケージの内容を表示」を選択。
f:id:syobochim:20140705233733p:plain

そして、
Contents > Info.plist
を開く。
f:id:syobochim:20140705234008p:plain


普通にコンテキストメニューから「開く」を選択するとXCodeで開いた。
↓こんな感じで表示されるので、
JVMOptions > JVMVerion
を1.8*に変更すればok ₍₍⁽⁽(ી(´・ᴗ・`)ʃ)₎₎⁾⁾
f:id:syobochim:20140705234116p:plain

(XCodeの、XMLファイルをこんな感じで開いてくれるのすごい!!)

Java1.6、できるだけ触りたくないですね。